### Signal

# Gtk.TreeModel::rows-reordered

#### Declaration

    void
    rows_reordered (
      GtkTreeModel self,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer new_order,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the children of a node in the `GtkTreeModel` have been reordered.

Note that this signal is not emitted when rows are reordered by DND, since this is implemented by removing and then reinserting the row.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`

#### Parameters

`path` | `GtkTreePath`
| a `GtkTreePath`-struct identifying the tree node whose children have been reordered
| Ownership is not transferred to the callee
`iter` | `GtkTreeIter`
| a valid `GtkTreeIter`-struct pointing to the node whose children have been reordered, or `NULL` if the depth of `path` is 0
| Ownership is not transferred to the callee
`new_order` | `gpointer`
| an array of integers mapping the current position of each child to its old position before the re-ordering, i.e. `new_order``[newpos] = oldpos`